package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbWeekReport;
import com.ruoyi.system.domain.zb.ZbWeekReportExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbWeekReportMapper {
    long countByExample(ZbWeekReportExample example);

    int deleteByExample(ZbWeekReportExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbWeekReport record);

    int insertSelective(ZbWeekReport record);

    List<ZbWeekReport> selectByExample(ZbWeekReportExample example);

    ZbWeekReport selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbWeekReport record, @Param("example") ZbWeekReportExample example);

    int updateByExample(@Param("record") ZbWeekReport record, @Param("example") ZbWeekReportExample example);

    int updateByPrimaryKeySelective(ZbWeekReport record);

    int updateByPrimaryKey(ZbWeekReport record);
}